## class MWidget : public Component

> base class for wrapping all Motif widgets.

## Inheritance:

### Public Methods

  | MWidget (const char *name)
  virtual | ~MWidget ()
  virtual void | Manage ()
  virtual const char* | GetClassName ()
  bool | IsRealized () Is the widget realized ?
  void | SetColormap (Colormap cmap) Set the colormap of the window to cmap.
  void | SetDestroyCallback (XtCallbackProc fun, XtPointer clientData) Add a widget destroyed callback.
  void | AddLiteClue (Widget w, const char *text)

### Protected Methods

  Widget | GetLiteClue ()
  void | CreateLiteClue ()
  void | InstallDestroyHandler () Easy hook for derived classes

### Inherited from Component:

### Public Methods

bool IsManaged()
virtual void Unmanage()
Widget GetWidget()
Display* GetDisplay()
Window GetWindow()

### Protected Methods

void SetWidget(Widget w)
const string* GetName() const
void SetName(const string *s)
void SetName(const char *s)

## Documentation

> base class for wrapping all Motif widgets.

`MWidget(const char *name)`

`virtual ~MWidget()`

`virtual void Manage()`

`virtual const char* GetClassName()`

`bool IsRealized()`
  Is the widget realized ?

`void SetColormap(Colormap cmap)`
  Set the colormap of the window to cmap.

`void SetDestroyCallback(XtCallbackProc fun, XtPointer clientData)`
  Add a widget destroyed callback.

`void AddLiteClue(Widget w, const char *text)`

`Widget GetLiteClue()`

`void CreateLiteClue()`

`void InstallDestroyHandler()`
  Easy hook for derived classes

Direct child classes:
  Menu
  MainWindow
  DrawingArea
  Dialog
  Application

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de